Subject: RE: Additional thoughts on text transfers

From: Richard Whalen <[email-masked]>
Date: Fri, 29 Mar 2002 09:50:36 -0500

> -----Original Message-----
> From: Niels Provos [mailto:[email-masked]]
> Sent: Friday, March 29, 2002 9:40 AM
> To: Richard Whalen
> Cc: [email-masked]'
> Subject: Re: Additional thoughts on text transfers
> 
> 
> On Fri, Mar 29, 2002 at 09:34:12AM -0500, Richard Whalen wrote:
> > And what kinds of systems have you exchanged text files 
> with?  Ever try VMS?
> > The majority of text files on VMS systems are stored as 
> variable length
> > record files with implied line separators.  In most files 
> there is a 2 byte
> > record length between each record, that does not provide 
> carriage control.
> Yes, I actually helped with the system administration of a VMS cluster
> for a few years.
> 
> There is a canonical representations of text files that your
> implementation may use.  Also, you can always set the record length
> manually after you transfered your file if the application did not do
> it for you.  I am sure that your problems can be solved without
> changing the wire protocol.
> 
> Niels.
> 

There is no canonical representation for a text file specified in SFTP -
that is the problem.

You are suggesting that our implementation implicitly translate files stored
on it to a "canonical representation", so that the files may be read on a
Windows/Unix/whatever system.  We have put that functionality in our
implementation, but there are limitations - if it is set up to do the
translation, you lose the option of not getting the translation for a file
that is translatable.  There would be greater utility if the method could be
chosen through the protocol, rather than through setting configuration
variables.